<?php
class Categoria_model extends CI_Model {
  public function list() {
    $this->db->select('id, nombre');
    $this->db->from('categorias');
    $this->db->where('deleted', 0);
    $this->db->order_by('id', 'ASC');
    $query = $this->db->get();

    $categorias = $query->result_array();

    $r = [];
    foreach ($categorias as $p) {
      $r[$p['id']] = $p['nombre'];
    }

    return $r;
  }

  public function get_all() {
    $this->db->select('*');
    $this->db->from('categorias p');
    $this->db->where('p.deleted', 0);
    $this->db->order_by('p.nombre', 'ASC');
    $query = $this->db->get();

    return $query->result_array();
  }

  public function save($data) {
    //revisar si viene id y si viene se hace update
    if (empty($data['id'])) {
      $data['created'] = date('Y-m-d H:i:s');
      $this->db->insert('categorias', $data);
      return $this->db->insert_id();
    }
    else {
      $this->db->where('id', $data['id']);
      $this->db->update('categorias', $data);
      return $data['id'];
    }
  }

  public function delete($id) {
    //revisar si viene id y si viene se hace update
    if (!empty($id)) {
      $this->db->set('deleted', 1, FALSE);
      $this->db->where('id', $id);
      $this->db->update('categorias');
    }
  }
}